Bug 981905 - Use xz to compress tarball
Use xz to compress tarball
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 16:50 EDT by Ville Skyttä
Modified: 2014-01-12 19:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 12:25:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-07-06 16:50:08 EDT
Compressing the R4 tarball with xz would save about 20 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336 and let me know if you'd like me to take care of this for devel.


diff --git a/eclipse.spec b/eclipse.spec
index 8d21e43..3e5136d 100644
--- a/eclipse.spec
+++ b/eclipse.spec
@@ -59 +59 @@ URL:            http://www.eclipse.org/
-Source0:        R4_platform-aggregator-%{eclipse_tag}.tar.bz2
+Source0:        R4_platform-aggregator-%{eclipse_tag}.tar.xz
diff --git a/get-eclipse.sh b/get-eclipse.sh
index 3a2f297..d0fd9e0 100755
--- a/get-eclipse.sh
+++ b/get-eclipse.sh
@@ -22 +22 @@ rm -rf R4_platform-aggregator-$TAG
-rm -rf R4_platform-aggregator-$TAG.tar.bz2
+rm -rf R4_platform-aggregator-$TAG.tar.xz
@@ -52 +52 @@ popd
-tar cjf R4_platform-aggregator-$TAG.tar.bz2 R4_platform-aggregator-$TAG
+tar cJf R4_platform-aggregator-$TAG.tar.xz R4_platform-aggregator-$TAG
Comment 1 Krzysztof Daniel 2013-07-08 01:07:58 EDT
Indeed 20MB

-rw-rw-r--.  1 kdaniel kdaniel 180647617 Jun 10 09:36 R4_platform-aggregator-84cba7bf43da88dc3f33bc113104eb680f12aa2d.tar.bz2
-r--r--r--.  1 kdaniel kdaniel 160223124 Jul  8 07:03 R4_platform-aggregator-84cba7bf43da88dc3f33bc113104eb680f12aa2d.tar.xz
Comment 2 Krzysztof Daniel 2013-07-08 12:25:48 EDT
Thanks for the patch! Released into rawhide.

Note You need to log in before you can comment on or make changes to this bug.